Holger's Java API

## com.antelmann.util
Interface ValueSetter<T>

All Known Implementing Classes:
  AbstractDialogCellEditor, BinaryData, ColorDialogCellEditor, DateDialogCellEditor, FormDialogCellEditor, ImageHolder, JCategoryField, JEnumField, JFileField, JImagePanel, JURLField, JYouTubeField, Placeholder, TextDialogCellEditor

    public interface ValueSetter<T>

provides a way to generically set some relevant value on some instance

Since:
  25. Oktober 2007, 12:35
Author:
  Holger Antelmann
See Also:
  `ValueRetriever`

Method Summary
`void` `setRelevantValue(T value)` sets the relevant value for this instance with the given value

Method Detail

### setRelevantValue

    void setRelevantValue(T value)
                          throws Exception

  sets the relevant value for this instance with the given value

  Throws:
    `Exception`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads